VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ISplitViewController Class Referenceabstract

Split View Controller. More...

## Public Member Functions
virtual | ~ISplitViewController () noexcept=default
virtual bool | getSplitViewSizeConstraint (int32_t index, CCoord &minSize, CCoord &maxSize, CSplitView *splitView)=0
| return the minimum and maximum size (width or height) of a view.
virtual ISplitViewSeparatorDrawer * | getSplitViewSeparatorDrawer (CSplitView *splitView)=0
| return the separator drawer.
virtual bool | storeViewSize (int32_t index, const CCoord &size, CSplitView *splitView)=0
| store the size of the view.
virtual bool | restoreViewSize (int32_t index, CCoord &size, CSplitView *splitView)=0
| restore the size of the view.

## Detailed Description

Split View Controller.

controls the size of the subviews of the split view

Extension to IController

## Constructor & Destructor Documentation

virtual ~ISplitViewController | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual ISplitViewSeparatorDrawer* getSplitViewSeparatorDrawer | ( | CSplitView * | splitView | ) |
| pure virtual

return the separator drawer.

virtual bool getSplitViewSizeConstraint | ( | int32_t | index,
|  | CCoord & | minSize,
|  | CCoord & | maxSize,
|  | CSplitView * | splitView
| ) |  |
| pure virtual

return the minimum and maximum size (width or height) of a view.

virtual bool restoreViewSize | ( | int32_t | index,
|  | CCoord & | size,
|  | CSplitView * | splitView
| ) |  |
| pure virtual

restore the size of the view.

virtual bool storeViewSize | ( | int32_t | index,
|  | const CCoord & | size,
|  | CSplitView * | splitView
| ) |  |
| pure virtual

store the size of the view.

The documentation for this class was generated from the following file:

- csplitview.h